org.apache.cassandra.db

## Interface CounterUpdateCell

- All Superinterfaces:
    Cell, OnDiskAtom
  All Known Implementing Classes:
    BufferCounterUpdateCell

      public interface CounterUpdateCell
      extends Cell

  A counter update while it hasn't been applied yet by the leader replica. Contains a single counter update. When applied by the leader replica, this is transformed to a relevant CounterCell. This Cell is a temporary data structure that should never be stored inside a memtable or an sstable.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.OnDiskAtom

      `OnDiskAtom.Serializer, OnDiskAtom.SerializerForWriting`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.cassandra.db.Cell

      `MAX_NAME_LENGTH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `delta()`

    - ### Methods inherited from interface org.apache.cassandra.db.Cell

      `cellDataSize, diff, getString, isLive, isLive, localCopy, localCopy, name, reconcile, serializationFlags, serializedSize, unsharedHeapSizeExcludingData, value, withUpdatedName, withUpdatedTimestamp, withUpdatedTimestampAndLocalDeletionTime`

    - ### Methods inherited from interface org.apache.cassandra.db.OnDiskAtom

      `getLocalDeletionTime, timestamp, updateDigest, validateFields`

- - ### Method Detail

    - #### delta

          long delta()

Copyright © 2018 The Apache Software Foundation